/*******************************************************
//
//	Name: CBombObject.h
//
//	Author: Dave Ratti
//
//	Date: 3-1-02
//
//	Modified:
//
//	Notes: Bombs. They blow up.
//
//
//
*********************************************************/

#ifndef CBOMB_OBJECT
#define CBOMB_OBJECT

#include "CGameObject.h"
#include "CMap.h"
#include "STRINGC.h"
#include "CAnimation.h"


class CBombObject: public CGameObject
{

public:

	CBombObject();
	virtual ~CBombObject();

	void Init(STRINGC fn, int x, int y, int strength, int ownerID);
	

	virtual void Update();
	virtual void Draw();
	virtual void Collision(CGameObject* obj);

	
			
	
protected:

	CAnimation			m_Animation;	//idle animation	
	int					m_OwnerID;	
	int					m_Strength;

	void				notifyOwner();	//Notify owner that we're dieing
	void				explode();

	int					m_Life;		

};


#endif